Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class AddDataPropertyRange

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange
            |
            +--org.semanticweb.owl.model.change.AddDataPropertyRange

public class AddDataPropertyRange
extends OntologyChange

Add a range constraint to a DataProperty. Created: Fri Feb 07 17:23:16 2003

Version:
  $Id: AddDataPropertyRange.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary

Fields inherited from class org.semanticweb.owl.model.change.OntologyChange
`cause, ontology`

Constructor Summary
`AddDataPropertyRange(OWLOntology ontology, OWLDataProperty property, OWLDataRange range, OntologyChange cause)`

Method Summary
`void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OWLDataProperty` | `getProperty()` The property.
`OWLDataRange` | `getRange()` The range.

Methods inherited from class org.semanticweb.owl.model.change.OntologyChange
`getCause, getOntology, setCause, setOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddDataPropertyRange

    public AddDataPropertyRange(OWLOntology ontology,
                                OWLDataProperty property,
                                OWLDataRange range,
                                OntologyChange cause)

Parameters:
  `ontology` - an `OWLOntology` value
  `cause` - a `OntologyChange` value

Method Detail

### getProperty

    public OWLDataProperty getProperty()

  The property.

  Returns:
    an `OWLProperty` value

### getRange

    public OWLDataRange getRange()

  The range.

  Returns:
    an `OWLConcreteDataType` value

### accept

    public void accept(ChangeVisitor visitor)
                throws OWLException

  Description copied from class: `OntologyChange`
  Accept a visit from a change visitor.

  Specified by:
    `accept` in class `OntologyChange`
  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb